Bug 1789478 - S57glusterfind-delete-post.py not python3 ready (does not decode bytestring)
Summary: S57glusterfind-delete-post.py not python3 ready (does not decode bytestring)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterfind
Version: mainline
Hardware: All
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sunny Kumar
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks: 1790438 1790449
TreeView+ depends on / blocked
 
Reported: 2020-01-09 16:31 UTC by Lars Berntzon
Modified: 2020-01-13 11:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1790438 1790449 (view as bug list)
Environment:
Last Closed: 2020-01-13 03:20:07 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23994 0 None Merged glusterfind: python3 compatibility 2020-01-13 03:20:06 UTC

Description Lars Berntzon 2020-01-09 16:31:40 UTC
Description of problem:
The script tools/glusterfind/S57glusterfind-delete-post.py does not decode
a byte string to char correctly.

Version-Release number of selected component (if applicable):
Found on version 6.7 on ubuntu but the error is still there in latest master commit in git.

How reproducible:
Always

Steps to Reproduce:
1. Delete a volume
2. Examine the logfile glusterd.log which will show the error.

Actual results:
Error print

Expected results:
Should run without errors and delete the local session directories.

Additional info:

Comment 2 Worker Ant 2020-01-10 14:39:40 UTC
REVIEW: https://review.gluster.org/23994 (glusterfind: python3 compatibility) posted (#1) for review on master by Sunny Kumar

Comment 3 Worker Ant 2020-01-13 03:20:07 UTC
REVIEW: https://review.gluster.org/23994 (glusterfind: python3 compatibility) merged (#2) on master by Aravinda Vishwanathapura


Note You need to log in before you can comment on or make changes to this bug.